--- old/usr/src/uts/sparc/emlxs/Makefile	Thu Aug  8 11:22:09 2019
+++ new/usr/src/uts/sparc/emlxs/Makefile	Thu Aug  8 11:22:09 2019
@@ -89,7 +89,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/emul64/Makefile	Thu Aug  8 11:22:10 2019
+++ new/usr/src/uts/sparc/emul64/Makefile	Thu Aug  8 11:22:10 2019
@@ -66,7 +66,7 @@
 LDFLAGS         += -dy -N misc/scsi
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/eoib/Makefile	Thu Aug  8 11:22:10 2019
+++ new/usr/src/uts/sparc/eoib/Makefile	Thu Aug  8 11:22:10 2019
@@ -70,7 +70,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Depends on misc/ibtl
--- old/usr/src/uts/sparc/fas/Makefile	Thu Aug  8 11:22:11 2019
+++ new/usr/src/uts/sparc/fas/Makefile	Thu Aug  8 11:22:11 2019
@@ -74,7 +74,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/fasttrap/Makefile	Thu Aug  8 11:22:13 2019
+++ new/usr/src/uts/sparc/fasttrap/Makefile	Thu Aug  8 11:22:13 2019
@@ -43,7 +43,7 @@
 CPPFLAGS	+= -I$(SRC)/common
 LDFLAGS		+= -dy -Ndrv/dtrace
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/sparc/fbt/Makefile	Thu Aug  8 11:22:14 2019
+++ new/usr/src/uts/sparc/fbt/Makefile	Thu Aug  8 11:22:14 2019
@@ -51,7 +51,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/sparc/fcp/Makefile	Thu Aug  8 11:22:14 2019
+++ new/usr/src/uts/sparc/fcp/Makefile	Thu Aug  8 11:22:15 2019
@@ -67,7 +67,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/fcpci/Makefile	Thu Aug  8 11:22:15 2019
+++ new/usr/src/uts/sparc/fcpci/Makefile	Thu Aug  8 11:22:15 2019
@@ -87,7 +87,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/fcsm/Makefile	Thu Aug  8 11:22:16 2019
+++ new/usr/src/uts/sparc/fcsm/Makefile	Thu Aug  8 11:22:16 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/fct/Makefile	Thu Aug  8 11:22:17 2019
+++ new/usr/src/uts/sparc/fct/Makefile	Thu Aug  8 11:22:17 2019
@@ -72,7 +72,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/fctl/Makefile	Thu Aug  8 11:22:18 2019
+++ new/usr/src/uts/sparc/fctl/Makefile	Thu Aug  8 11:22:18 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/flowacct/Makefile	Thu Aug  8 11:22:19 2019
+++ new/usr/src/uts/sparc/flowacct/Makefile	Thu Aug  8 11:22:19 2019
@@ -71,7 +71,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/fp/Makefile	Thu Aug  8 11:22:19 2019
+++ new/usr/src/uts/sparc/fp/Makefile	Thu Aug  8 11:22:19 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 #
--- old/usr/src/uts/sparc/gld/Makefile	Thu Aug  8 11:22:21 2019
+++ new/usr/src/uts/sparc/gld/Makefile	Thu Aug  8 11:22:21 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/hci1394/Makefile	Thu Aug  8 11:22:22 2019
+++ new/usr/src/uts/sparc/hci1394/Makefile	Thu Aug  8 11:22:22 2019
@@ -85,7 +85,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/hermon/Makefile	Thu Aug  8 11:22:23 2019
+++ new/usr/src/uts/sparc/hermon/Makefile	Thu Aug  8 11:22:23 2019
@@ -76,7 +76,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/hidparser/Makefile	Thu Aug  8 11:22:24 2019
+++ new/usr/src/uts/sparc/hidparser/Makefile	Thu Aug  8 11:22:24 2019
@@ -53,7 +53,7 @@
 # lint pass one enforcement 
 # 
 CFLAGS		+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # depends on misc/usba
--- old/usr/src/uts/sparc/hme/Makefile	Thu Aug  8 11:22:24 2019
+++ new/usr/src/uts/sparc/hme/Makefile	Thu Aug  8 11:22:24 2019
@@ -61,7 +61,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/hook/Makefile	Thu Aug  8 11:22:25 2019
+++ new/usr/src/uts/sparc/hook/Makefile	Thu Aug  8 11:22:25 2019
@@ -49,7 +49,7 @@
 #
 include $(UTSBASE)/sparc/Makefile.sparc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sparc/hpcsvc/Makefile	Thu Aug  8 11:22:26 2019
+++ new/usr/src/uts/sparc/hpcsvc/Makefile	Thu Aug  8 11:22:26 2019
@@ -63,7 +63,7 @@
 DEBUG_FLGS	=
 DEBUG_DEFS	+= $(DEBUG_FLGS)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # lint pass one enforcement
--- old/usr/src/uts/sparc/hsfs/Makefile	Thu Aug  8 11:22:26 2019
+++ new/usr/src/uts/sparc/hsfs/Makefile	Thu Aug  8 11:22:26 2019
@@ -78,7 +78,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
--- old/usr/src/uts/sparc/hxge/Makefile	Thu Aug  8 11:22:27 2019
+++ new/usr/src/uts/sparc/hxge/Makefile	Thu Aug  8 11:22:27 2019
@@ -90,7 +90,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/ib/Makefile	Thu Aug  8 11:22:30 2019
+++ new/usr/src/uts/sparc/ib/Makefile	Thu Aug  8 11:22:30 2019
@@ -63,7 +63,7 @@
 ALL_BUILDS	= $(ALL_BUILDSONLY64)
 DEF_BUILDS	= $(DEF_BUILDSONLY64)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # 
 # lint pass one enforcement 
--- old/usr/src/uts/sparc/ibcm/Makefile	Thu Aug  8 11:22:31 2019
+++ new/usr/src/uts/sparc/ibcm/Makefile	Thu Aug  8 11:22:31 2019
@@ -69,7 +69,7 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 
 #
--- old/usr/src/uts/sparc/ibdm/Makefile	Thu Aug  8 11:22:31 2019
+++ new/usr/src/uts/sparc/ibdm/Makefile	Thu Aug  8 11:22:31 2019
@@ -78,7 +78,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ibmf/Makefile	Thu Aug  8 11:22:32 2019
+++ new/usr/src/uts/sparc/ibmf/Makefile	Thu Aug  8 11:22:32 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ibp/Makefile	Thu Aug  8 11:22:34 2019
+++ new/usr/src/uts/sparc/ibp/Makefile	Thu Aug  8 11:22:34 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 #
--- old/usr/src/uts/sparc/ibtl/Makefile	Thu Aug  8 11:22:35 2019
+++ new/usr/src/uts/sparc/ibtl/Makefile	Thu Aug  8 11:22:35 2019
@@ -77,7 +77,7 @@
 
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-value
 
--- old/usr/src/uts/sparc/idm/Makefile	Thu Aug  8 11:22:35 2019
+++ new/usr/src/uts/sparc/idm/Makefile	Thu Aug  8 11:22:35 2019
@@ -62,7 +62,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #	Include
 INC_PATH	+= -I$(SRC)/common/hdcrc
--- old/usr/src/uts/sparc/igb/Makefile	Thu Aug  8 11:22:37 2019
+++ new/usr/src/uts/sparc/igb/Makefile	Thu Aug  8 11:22:37 2019
@@ -55,7 +55,7 @@
 	-I$(UTSBASE)/common/io/e1000api
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
 #
--- old/usr/src/uts/sparc/ip/Makefile	Thu Aug  8 11:22:38 2019
+++ new/usr/src/uts/sparc/ip/Makefile	Thu Aug  8 11:22:38 2019
@@ -82,7 +82,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sparc/ipc/Makefile	Thu Aug  8 11:22:39 2019
+++ new/usr/src/uts/sparc/ipc/Makefile	Thu Aug  8 11:22:39 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ipf/Makefile	Thu Aug  8 11:22:40 2019
+++ new/usr/src/uts/sparc/ipf/Makefile	Thu Aug  8 11:22:40 2019
@@ -80,7 +80,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-empty-body
 
 #
--- old/usr/src/uts/sparc/ipgpc/Makefile	Thu Aug  8 11:22:41 2019
+++ new/usr/src/uts/sparc/ipgpc/Makefile	Thu Aug  8 11:22:41 2019
@@ -67,7 +67,7 @@
 
 LDFLAGS += -dy -Ndrv/ip 
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/ipsecah/Makefile	Thu Aug  8 11:22:42 2019
+++ new/usr/src/uts/sparc/ipsecah/Makefile	Thu Aug  8 11:22:42 2019
@@ -78,7 +78,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ipsecesp/Makefile	Thu Aug  8 11:22:44 2019
+++ new/usr/src/uts/sparc/ipsecesp/Makefile	Thu Aug  8 11:22:44 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/iptun/Makefile	Thu Aug  8 11:22:46 2019
+++ new/usr/src/uts/sparc/iptun/Makefile	Thu Aug  8 11:22:46 2019
@@ -61,7 +61,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/iscsi/Makefile	Thu Aug  8 11:22:47 2019
+++ new/usr/src/uts/sparc/iscsi/Makefile	Thu Aug  8 11:22:47 2019
@@ -72,7 +72,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Default build targets.
--- old/usr/src/uts/sparc/iscsit/Makefile	Thu Aug  8 11:22:49 2019
+++ new/usr/src/uts/sparc/iscsit/Makefile	Thu Aug  8 11:22:49 2019
@@ -63,7 +63,7 @@
 C99LMODE=	-Xc99=%all
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 #
--- old/usr/src/uts/sparc/iser/Makefile	Thu Aug  8 11:22:51 2019
+++ new/usr/src/uts/sparc/iser/Makefile	Thu Aug  8 11:22:51 2019
@@ -43,7 +43,7 @@
 #
 include $(UTSBASE)/sparc/Makefile.sparc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sparc/ixgbe/Makefile	Thu Aug  8 11:22:52 2019
+++ new/usr/src/uts/sparc/ixgbe/Makefile	Thu Aug  8 11:22:52 2019
@@ -56,7 +56,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
--- old/usr/src/uts/sparc/kaio/Makefile	Thu Aug  8 11:22:53 2019
+++ new/usr/src/uts/sparc/kaio/Makefile	Thu Aug  8 11:22:53 2019
@@ -77,7 +77,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/kb8042/Makefile	Thu Aug  8 11:22:55 2019
+++ new/usr/src/uts/sparc/kb8042/Makefile	Thu Aug  8 11:22:56 2019
@@ -64,7 +64,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/kcf/Makefile	Thu Aug  8 11:22:58 2019
+++ new/usr/src/uts/sparc/kcf/Makefile	Thu Aug  8 11:22:59 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -I$(COM_DIR)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 
--- old/usr/src/uts/sparc/kgssapi/Makefile	Thu Aug  8 11:23:00 2019
+++ new/usr/src/uts/sparc/kgssapi/Makefile	Thu Aug  8 11:23:00 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/kmech_krb5/Makefile	Thu Aug  8 11:23:01 2019
+++ new/usr/src/uts/sparc/kmech_krb5/Makefile	Thu Aug  8 11:23:01 2019
@@ -66,7 +66,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/kssl/Makefile	Thu Aug  8 11:23:01 2019
+++ new/usr/src/uts/sparc/kssl/Makefile	Thu Aug  8 11:23:01 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ksslf/Makefile	Thu Aug  8 11:23:01 2019
+++ new/usr/src/uts/sparc/ksslf/Makefile	Thu Aug  8 11:23:02 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/kstat/Makefile	Thu Aug  8 11:23:02 2019
+++ new/usr/src/uts/sparc/kstat/Makefile	Thu Aug  8 11:23:02 2019
@@ -68,7 +68,7 @@
 #
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ldterm/Makefile	Thu Aug  8 11:23:02 2019
+++ new/usr/src/uts/sparc/ldterm/Makefile	Thu Aug  8 11:23:02 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/llc1/Makefile	Thu Aug  8 11:23:02 2019
+++ new/usr/src/uts/sparc/llc1/Makefile	Thu Aug  8 11:23:03 2019
@@ -63,7 +63,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/lofi/Makefile	Thu Aug  8 11:23:03 2019
+++ new/usr/src/uts/sparc/lofi/Makefile	Thu Aug  8 11:23:03 2019
@@ -58,7 +58,7 @@
 #
 CFLAGS		+= $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 INC_PATH	+= -I$(SRC)/common/lzma  
 
--- old/usr/src/uts/sparc/mac/Makefile	Thu Aug  8 11:23:03 2019
+++ new/usr/src/uts/sparc/mac/Makefile	Thu Aug  8 11:23:03 2019
@@ -66,7 +66,7 @@
 LINTTAGS			+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN		 	+= -_gcc=-Wno-unused-label
-CERRWARN		 	+= -_gcc=-Wno-uninitialized
+CERRWARN		 	+= $(CNOWARN_UNINIT)
 CERRWARN		 	+= -_gcc=-Wno-type-limits
 CERRWARN		 	+= -_gcc=-Wno-switch
 CERRWARN		 	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/mii/Makefile	Thu Aug  8 11:23:03 2019
+++ new/usr/src/uts/sparc/mii/Makefile	Thu Aug  8 11:23:03 2019
@@ -55,7 +55,7 @@
 LDFLAGS		+= -dy -N misc/mac
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/mpt_sas/Makefile	Thu Aug  8 11:23:04 2019
+++ new/usr/src/uts/sparc/mpt_sas/Makefile	Thu Aug  8 11:23:04 2019
@@ -63,7 +63,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 #
--- old/usr/src/uts/sparc/mr_sas/Makefile	Thu Aug  8 11:23:04 2019
+++ new/usr/src/uts/sparc/mr_sas/Makefile	Thu Aug  8 11:23:04 2019
@@ -61,7 +61,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sparc/msgsys/Makefile	Thu Aug  8 11:23:04 2019
+++ new/usr/src/uts/sparc/msgsys/Makefile	Thu Aug  8 11:23:04 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/nfs/Makefile	Thu Aug  8 11:23:05 2019
+++ new/usr/src/uts/sparc/nfs/Makefile	Thu Aug  8 11:23:05 2019
@@ -85,7 +85,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/nfssrv/Makefile	Thu Aug  8 11:23:05 2019
+++ new/usr/src/uts/sparc/nfssrv/Makefile	Thu Aug  8 11:23:05 2019
@@ -79,7 +79,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 #
--- old/usr/src/uts/sparc/objfs/Makefile	Thu Aug  8 11:23:05 2019
+++ new/usr/src/uts/sparc/objfs/Makefile	Thu Aug  8 11:23:05 2019
@@ -70,7 +70,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/oce/Makefile	Thu Aug  8 11:23:06 2019
+++ new/usr/src/uts/sparc/oce/Makefile	Thu Aug  8 11:23:06 2019
@@ -58,7 +58,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/ohci/Makefile	Thu Aug  8 11:23:06 2019
+++ new/usr/src/uts/sparc/ohci/Makefile	Thu Aug  8 11:23:06 2019
@@ -66,7 +66,7 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/openeepr/Makefile	Thu Aug  8 11:23:07 2019
+++ new/usr/src/uts/sparc/openeepr/Makefile	Thu Aug  8 11:23:07 2019
@@ -61,7 +61,7 @@
 LDFLAGS +=	-dy -Ndacf/consconfig_dacf
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/pcfs/Makefile	Thu Aug  8 11:23:07 2019
+++ new/usr/src/uts/sparc/pcfs/Makefile	Thu Aug  8 11:23:07 2019
@@ -64,7 +64,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 #
--- old/usr/src/uts/sparc/pcic/Makefile	Thu Aug  8 11:23:08 2019
+++ new/usr/src/uts/sparc/pcic/Makefile	Thu Aug  8 11:23:08 2019
@@ -80,7 +80,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/pcicfg/Makefile	Thu Aug  8 11:23:08 2019
+++ new/usr/src/uts/sparc/pcicfg/Makefile	Thu Aug  8 11:23:08 2019
@@ -89,7 +89,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/pcmcia/Makefile	Thu Aug  8 11:23:08 2019
+++ new/usr/src/uts/sparc/pcmcia/Makefile	Thu Aug  8 11:23:08 2019
@@ -83,7 +83,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/pm/Makefile	Thu Aug  8 11:23:09 2019
+++ new/usr/src/uts/sparc/pm/Makefile	Thu Aug  8 11:23:09 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/pmcs/Makefile	Thu Aug  8 11:23:10 2019
+++ new/usr/src/uts/sparc/pmcs/Makefile	Thu Aug  8 11:23:10 2019
@@ -67,7 +67,7 @@
 	-DPMCS_FIRMWARE_VERSION_STRING=\"${PMCS_FW_VERSION_STRING}\"
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
--- old/usr/src/uts/sparc/poll/Makefile	Thu Aug  8 11:23:11 2019
+++ new/usr/src/uts/sparc/poll/Makefile	Thu Aug  8 11:23:11 2019
@@ -54,7 +54,7 @@
 # lint pass one enforcement
 #
 CFLAGS		+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # See uts/intel/poll/Makefile for why this is necessary.
--- old/usr/src/uts/sparc/portfs/Makefile	Thu Aug  8 11:23:12 2019
+++ new/usr/src/uts/sparc/portfs/Makefile	Thu Aug  8 11:23:12 2019
@@ -74,7 +74,7 @@
 #
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/pppt/Makefile	Thu Aug  8 11:23:12 2019
+++ new/usr/src/uts/sparc/pppt/Makefile	Thu Aug  8 11:23:12 2019
@@ -63,7 +63,7 @@
 C99LMODE=	-Xc99=%all
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/procfs/Makefile	Thu Aug  8 11:23:13 2019
+++ new/usr/src/uts/sparc/procfs/Makefile	Thu Aug  8 11:23:13 2019
@@ -75,7 +75,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ptem/Makefile	Thu Aug  8 11:23:13 2019
+++ new/usr/src/uts/sparc/ptem/Makefile	Thu Aug  8 11:23:13 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/qlc/Makefile	Thu Aug  8 11:23:15 2019
+++ new/usr/src/uts/sparc/qlc/Makefile	Thu Aug  8 11:23:15 2019
@@ -77,7 +77,7 @@
 FWMODULES        = $(FWIMAGES:%=$(MODULE)_fw_%)
 FWMODULES_SRC    = $(FWIMAGES:%=$(CONF_SRCDIR)/ql_fw_%.c)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/sparc/qlge/Makefile	Thu Aug  8 11:23:15 2019
+++ new/usr/src/uts/sparc/qlge/Makefile	Thu Aug  8 11:23:16 2019
@@ -64,7 +64,7 @@
 C99LMODE=	-Xc99=%all
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/qlt/Makefile	Thu Aug  8 11:23:17 2019
+++ new/usr/src/uts/sparc/qlt/Makefile	Thu Aug  8 11:23:17 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/rds/Makefile	Thu Aug  8 11:23:18 2019
+++ new/usr/src/uts/sparc/rds/Makefile	Thu Aug  8 11:23:18 2019
@@ -61,7 +61,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDFLAGS += -dy -Nfs/sockfs -Ndrv/ip
 
--- old/usr/src/uts/sparc/rdsib/Makefile	Thu Aug  8 11:23:18 2019
+++ new/usr/src/uts/sparc/rdsib/Makefile	Thu Aug  8 11:23:18 2019
@@ -62,7 +62,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS += -dy -Ndrv/rds -Nmisc/ibtl -Nmisc/ibcm -Ndrv/ip
 
--- old/usr/src/uts/sparc/rdsv3/Makefile	Thu Aug  8 11:23:18 2019
+++ new/usr/src/uts/sparc/rdsv3/Makefile	Thu Aug  8 11:23:18 2019
@@ -61,7 +61,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/rge/Makefile	Thu Aug  8 11:23:19 2019
+++ new/usr/src/uts/sparc/rge/Makefile	Thu Aug  8 11:23:19 2019
@@ -69,7 +69,7 @@
 LDFLAGS		+= -dy -N misc/mac -N drv/ip
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/rlmod/Makefile	Thu Aug  8 11:23:19 2019
+++ new/usr/src/uts/sparc/rlmod/Makefile	Thu Aug  8 11:23:19 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/rpcib/Makefile	Thu Aug  8 11:23:20 2019
+++ new/usr/src/uts/sparc/rpcib/Makefile	Thu Aug  8 11:23:20 2019
@@ -75,7 +75,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/rpcmod/Makefile	Thu Aug  8 11:23:21 2019
+++ new/usr/src/uts/sparc/rpcmod/Makefile	Thu Aug  8 11:23:21 2019
@@ -87,7 +87,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/sparc/rpcsec/Makefile	Thu Aug  8 11:23:23 2019
+++ new/usr/src/uts/sparc/rpcsec/Makefile	Thu Aug  8 11:23:23 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/rsa/Makefile	Thu Aug  8 11:23:25 2019
+++ new/usr/src/uts/sparc/rsa/Makefile	Thu Aug  8 11:23:25 2019
@@ -80,7 +80,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/rsm/Makefile	Thu Aug  8 11:23:25 2019
+++ new/usr/src/uts/sparc/rsm/Makefile	Thu Aug  8 11:23:25 2019
@@ -83,7 +83,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/rtls/Makefile	Thu Aug  8 11:23:25 2019
+++ new/usr/src/uts/sparc/rtls/Makefile	Thu Aug  8 11:23:26 2019
@@ -56,7 +56,7 @@
 #	Overrides
 #
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Driver depends on Mac
--- old/usr/src/uts/sparc/s1394/Makefile	Thu Aug  8 11:23:27 2019
+++ new/usr/src/uts/sparc/s1394/Makefile	Thu Aug  8 11:23:27 2019
@@ -84,7 +84,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/sparc/sad/Makefile	Thu Aug  8 11:23:29 2019
+++ new/usr/src/uts/sparc/sad/Makefile	Thu Aug  8 11:23:29 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/sata/Makefile	Thu Aug  8 11:23:29 2019
+++ new/usr/src/uts/sparc/sata/Makefile	Thu Aug  8 11:23:29 2019
@@ -90,7 +90,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-empty-body
 
 # needs work
--- old/usr/src/uts/sparc/scsa1394/Makefile	Thu Aug  8 11:23:30 2019
+++ new/usr/src/uts/sparc/scsa1394/Makefile	Thu Aug  8 11:23:30 2019
@@ -78,7 +78,7 @@
 LDFLAGS		+= -dy -Nmisc/scsi -Nmisc/s1394 -Nmisc/sbp2
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #	Default build targets.
 #
--- old/usr/src/uts/sparc/scsa2usb/Makefile	Thu Aug  8 11:23:30 2019
+++ new/usr/src/uts/sparc/scsa2usb/Makefile	Thu Aug  8 11:23:30 2019
@@ -67,7 +67,7 @@
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/scsi/Makefile	Thu Aug  8 11:23:31 2019
+++ new/usr/src/uts/sparc/scsi/Makefile	Thu Aug  8 11:23:31 2019
@@ -72,7 +72,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
